package uy.edu.fing.tse.jsf;

import uy.edu.fing.tse.central.business.BusinessLocal;
import uy.edu.fing.tse.dto.Fact;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import java.io.Serializable;
import java.util.List;

@RequestScoped
@Named("gestionHechos")
public class GestionhechosBean implements Serializable {

    private static final long serialVersionUID = 9142442208455999158L;

    @EJB
    private BusinessLocal service;

    @PostConstruct
    public void init() {
        filteredFacts = service.listarHechos();
    }

    private List<Fact> filteredFacts;


    public List<Fact> getFilteredNFact() {
        return filteredFacts;
    }

    public void setFilteredNoticias(List<Fact> filteredNoticias) {
        this.filteredFacts = filteredNoticias;
    }

}

