package uy.edu.fing.tse.central.db.dao.fact;

import uy.edu.fing.tse.central.db.dao.GenericDao;
import uy.edu.fing.tse.dto.Fact;

import javax.ejb.Local;
import java.util.Date;
import java.util.List;

@Local
public interface FactDaoLocal extends GenericDao<Fact> {
    @Override
    void create(Fact elem);

    @Override
    Fact find(String key);

    @Override
    Fact find(Long id);

    @Override
    List<Fact> findAll();

    List<Fact> search(String value, String state, Date after, Date before);

    List<Fact> filter(String title, String desc, String state);
}
