package uy.edu.fing.tse.central.business;


import uy.edu.fing.tse.dto.*;

import java.io.Serializable;
import java.util.List;

public interface Business extends Serializable {

    void altaPeriferico(Peripherical p);

    void altaVerificacionMecanismo(CheckMechanism cm);

    List<Fact> listarHechos();

    void altaHecho(Fact fact);

    void altaRol(Role role);

    void altaEstado(State state);

    List<Role> listarRoles();

    void altaCalificacion(Score e);
}

