package uy.edu.fing.tse.jsf;

import uy.edu.fing.tse.dto.Fact;

import uy.edu.fing.tse.dto.State;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

//Usar requestScope   ApplicationContext.getparameter in jsf

//@SessionScoped
//@ManagedBean(name = "Session")  NO USAR SESSION

@ManagedBean(name = "NoticiasService")

public class HechosService {




    private final static String[] titulos;


    private final static String[] descripciones;

    private final static String[] estados;

    static {
        titulos = new String[10];
        titulos[0] = "Debutó la Unidad Previsional con éxito";
        titulos[1] = "Sin claras señales de cambios en el billete verde";
        titulos[2] = "Conaprole e Isusa colocaron US$ 17: en el mercado";
        titulos[3] = "¿Quiere ser de la nobleza? Compre un título en Escocia";
        titulos[4] = "¿Qué hacer con el dinero en momentos de \"nubarrones\"?";
        titulos[5] = "Cavani alcanzó al \"Cebolla\"";
        titulos[6] = "Petrobras emitió y captó US$ 2.000 millones";
        titulos[7] = "Bonos brasileños en manos de argentinos no pagarán impuestos";
        titulos[8] = "Noticia 9";
        titulos[9] = "esta es la ultima noticia";

        descripciones = new String[10];
        descripciones[0] = "Ayer, por primera vez, se emitió deuda en la recientemente creada Unidad Previsional (UP) que tiene cotización diaria y ajusta según la evolución del Índice Medio de Salarios Nominales.";
        descripciones[1] = "En Brasil la divisa estadounidense subió un 2,49% en la semana, y en Argentina un 6,81%.";
        descripciones[2] = "Dos emisiones donde la demanda superó el monto ofertado.";
        descripciones[3] = "¿Le apetece unirse a la nobleza escocesa? Esta región del norte de Reino Unido ha visto desarrollarse toda una industria que permite que la gente ordinaria haga justamente eso, algunos con más justificación legal que otros.";
        descripciones[4] = "Presidente y director de la Bolsa de Valores hicieron análisis y sugerencias.";
        descripciones[5] = "PSG se consagró y el \"Matador\" es uno de los uruguayos con más títulos";
        descripciones[6] = "La petrolera brasileña Petrobras informó ayer que captó US$ 2.000 millones con el lanzamiento el jueves en el exterior de títulos con vencimiento en 2029 por los que pagará un interés anual del 5,750%.";
        descripciones[7] = "Bonos brasileños en manos de argentinos no pagarán impuestos";
        descripciones[8] = "descripcion noticia 9";
        descripciones[9] = "descripcion noticia 10";

        estados = new String[10];
        estados[0] = "Verificado";
        estados[1] = "Verificado";
        estados[2] = "No Verificado";
        estados[3] = "No Verificado";
        estados[4] = "No Verificado";
        estados[5] ="Verificado";
        estados[6] = "Verificado";
        estados[7] = "No Verificado";
        estados[8] = "Verificado";
        estados[9] = "No Verificado";



    }

    public List<Fact> createHechos(int size) {




        List<Fact> list = new ArrayList<Fact>();
        for(int i = 0 ; i < size ; i++) {
            State actualState = new State();
            actualState.setValue(estados[i]);
            final var fact = new Fact();
            fact.setTitle(titulos[i]);
            fact.setDescription(descripciones[i]);
            fact.setActualState(actualState);
            fact.setCategory(null);
            fact.setScore(null);
            fact.addHistory(null);
            fact.addHistory(null);
            list.add(fact);

        }

        return list;
    }

}