package uy.edu.fing.tse.dto;

import java.io.Serializable;

/**
 * Son los estados para los hechos, Nuevo, aComprobar, enProceso, Verificado, Publicado, Cancelado
 */
public final class State implements Serializable {

    private static final long serialVersionUID = 8369408999916591568L;

    private Long id;
    private String value;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return value;
    }
}
